Subject: Re: [PATCH] all: standardize headers to reflect Git's purpose as a DVCS

From: David Aguilar <[email-masked]>
Date: Sat, 4 Jan 2025 17:01:41 -0800

On Tue, Dec 31, 2024 at 01:12:34AM +0100, Bartosz Pracz wrote:
> Updated headers across multiple files to reflect Git's role as a distributed version control system (DVCS).
> This change replaces outdated or informal descriptions, enhancing professionalism and consistency
> throughout the codebase.

These changes drop Linus's original comments. IMO those comments bring
levity and were a tongue-in-cheek description of the system during its
inception.

"The (blank) from hell," is a phrase coined and popularized by the late
comedian Richard Lewis. I'll leave it to others as to whether this is
frowned upon, but I've personally always understood it as a
light-hearted (and self-deprecating) joke.

> No functional changes were made, and this commit is purely cosmetic.

Besides my personal opinion above, there is one technical issue below.

> diff --git a/Documentation/MyFirstObjectWalk.txt b/Documentation/MyFirstObjectWalk.txt
> index dec8afe5b1..ac84a03e17 100644
> --- a/Documentation/MyFirstObjectWalk.txt
> +++ b/Documentation/MyFirstObjectWalk.txt
> @@ -376,7 +376,7 @@ $ ./bin-wrappers/git walken
>  
>  You should see all of the subject lines of all the commits in
>  your tree's history, in order, ending with the initial commit, "Initial revision
> -of "git", the information manager from hell". Congratulations! You've written
> +of "git", Distributed version control system". Congratulations! You've written
>  your first revision walk. You can play with printing some additional fields
>  from each commit if you're curious; have a look at the functions available in
>  `commit.h`.

These changes make the paragraph above incorrect.

The object walk will still land on the initial commit, and that commit's
description will continue to say, "The information manager from hell,"
irrespective of your changes. Git's history is immutable.

> diff --git a/builtin/cat-file.c b/builtin/cat-file.c
> index b13561cf73..34f4553da4 100644
> --- a/builtin/cat-file.c
> +++ b/builtin/cat-file.c
> @@ -1,5 +1,5 @@
>  /*
> - * GIT - The information manager from hell
> + * GIT - Distributed version control system

"Distribute version control" sans "system" might be slightly better?

While I'm not sure if this is something worth changing, others
on this list may think otherwise. If no one else responds then the
likely explanation is that it's not something folks want to change.

cheers,
-- 
David